summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xgecko-mediaplayer/build/gecko-mediaplayer.SlackBuild33
-rwxr-xr-xgnome-mplayer/build/gnome-mplayer.SlackBuild37
2 files changed, 44 insertions, 26 deletions
diff --git a/gecko-mediaplayer/build/gecko-mediaplayer.SlackBuild b/gecko-mediaplayer/build/gecko-mediaplayer.SlackBuild
index 196f4a73..ce92ccbe 100755
--- a/gecko-mediaplayer/build/gecko-mediaplayer.SlackBuild
+++ b/gecko-mediaplayer/build/gecko-mediaplayer.SlackBuild
@@ -32,6 +32,8 @@
# Changelog:
# 0.9.8-1: 20/Oct/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 0.9.9-1: 11/feb/2010 by Eric Hameleers <alien@slackware.com>
+# * Upgrade.
#
# Run 'sh gecko-mediaplayer.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -42,8 +44,7 @@
# Set initial variables:
PRGNAM=gecko-mediaplayer
-VERSION=${VERSION:-0.9.8}
-ARCH=${ARCH:-x86_64}
+VERSION=${VERSION:-0.9.9}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -66,25 +67,35 @@ SRCURL="http://gecko-mediaplayer.googlecode.com/files/${PRGNAM}-${VERSION}.tar.g
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ *) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
diff --git a/gnome-mplayer/build/gnome-mplayer.SlackBuild b/gnome-mplayer/build/gnome-mplayer.SlackBuild
index 862a3f3e..fc146e3b 100755
--- a/gnome-mplayer/build/gnome-mplayer.SlackBuild
+++ b/gnome-mplayer/build/gnome-mplayer.SlackBuild
@@ -32,6 +32,8 @@
# Changelog:
# 0.9.8-1: 20/Oct/2009 by Eric Hameleers <alien@slackware.com>
# * Initial build.
+# 0.9.9-1: 11/feb/2010 by Eric Hameleers <alien@slackware.com>
+# * Update.
#
# Run 'sh gnome-mplayer.SlackBuild' to build a Slackware package.
# The package (.tgz) and .txt file as well as build logs are created in /tmp .
@@ -43,7 +45,6 @@
PRGNAM=gnome-mplayer
VERSION=${VERSION:-0.9.8}
-ARCH=${ARCH:-x86_64}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
TAG=${TAG:-alien}
@@ -67,25 +68,35 @@ SRCURL="http://gnome-mplayer.googlecode.com/files/${PRGNAM}-${VERSION}.tar.gz"
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
case "$ARCH" in
i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
SLKLDFLAGS=""; LIBDIRSUFFIX=""
;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
x86_64) SLKCFLAGS="-O2 -fPIC"
SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
;;
+ *) SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
esac
+# Exit the script on errors:
+set -e
+trap 'echo "$0 FAILED at line ${LINENO}" | tee $OUTPUT/error-${PRGNAM}.log' ERR
+# Catch unitialized variables:
+set -u
+P1=${1:-1}
+
# Create working directories:
mkdir -p $OUTPUT # place for the package to be saved
mkdir -p $TMP/tmp-$PRGNAM # location to build the source
@@ -171,11 +182,7 @@ EOT
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
-cat $SRCDIR/$(basename $0) | sed \
- -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
- -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
- -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
- > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;